/**
 * Modified from nbdime
 * https://github.com/jupyter/nbdime/blob/master/packages/labextension/src/widget.ts
 */
import { NotebookDiff } from '@jupyterlab/git';
import { IRenderMimeRegistry } from '@jupyterlab/rendermime';
import { CellDiffModel, NotebookDiffModel } from 'nbdime/lib/diff/model';
import { NotebookDiffWidget } from 'nbdime/lib/diff/widget';
import { IDiffOptions, INotebookMapping, IThread, IThreadCell } from '../../tokens';
export declare class NotebookPRDiff extends NotebookDiff {
    constructor(props: IDiffOptions);
    protected static mapThreadsOnChunks(baseMapping: INotebookMapping, headMapping: INotebookMapping, chunks: CellDiffModel[][], threads: IThread[]): IThreadCell[];
    protected createDiffView(model: NotebookDiffModel, renderMime: IRenderMimeRegistry): NotebookDiffWidget;
    /**
     * Change cell grouping to allow commenting on each cell
     *
     * @param chunks Cell chunks from nbdime
     * @returns New chunks
     */
    protected static reChunkCells(chunks: CellDiffModel[][]): CellDiffModel[][];
    protected _props: IDiffOptions;
}
